Subject: Re: [take24 0/6] kevent: Generic event handling mechanism.

From: Ulrich Drepper <[email-masked]>
Date: Mon, 20 Nov 2006 13:52:44 -0800

Jeff Garzik wrote:
> I think we have lived with relative timeouts for so long, it would be 
> unusual to change now.  select(2), poll(2), epoll_wait(2) all take 
> relative timeouts.

I'm not talking about always using absolute timeouts.

I'm saying the timeout parameter should be a struct timespec* and then 
the flags word could have a flag meaning "this is an absolute timeout". 
  I.e., enable both uses,, even make relative timeouts the default. 
This is what the modern POSIX interfaces do, too, see clock_nanosleep.

-- 
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖